pomigrate2(1)

NAME
pomigrate2 - Migrates PO files from an old version using new POT files.

SYNOPSIS
pomigrate [options] from to new-templates

Where from is a directory of existing PO files, to is the directory where the migrated PO files will be stored, and new-templates is the directory that contains the PO Template files.

DESCRIPTION
pomigrate2 aims to move an existing translation to a new version based on updated PO Template files automatically without user intervention. Therefore it is ideal for when you are migrating many languages or migrating from related but divergent products eg Mozilla to Firefox.

OPTIONS

-F, --use-fuzzy-matching
    use fuzzy algorithms when merging to attempt to match strings

-C, --use-compendium
    create and use a compendium built from the migrating files

-C, --use-compendium=some-compendium.po
    use an external compendium during the migration

--no-wrap
    do not wrap long lines

--locale
    set locale for newly born files

-q, --quiet
    suppress most output

-p, --pot2po
    use pot2po(1) instead of msgmerge(1) to migrate (you cannot use compendia)

OPERATION
pomigrate2 makes use of the Gettext tools msgmerge or Translate Toolkits pot2po to perform its merging tasks. It firstly finds all files with the same name and location in the from directory as in the new-template directory and copies these to the to directory. If there is no file in the from directory to match one needed by the new-template directory then it will msgcat(1) all files in the from directory with the same name and copy them to the correct destination in the to directory. If all of that fails then msginit(1) is used to initialise any missing PO files. Lastly all the files in <to> are merged using msgmerge(1) or pot2po(1). This process updates the files to match the layout and messages in new-templates. Optionally, by using --use-compendium, a compendium of all the translations in from can be created to be used in the final merge process.

BUGS
None known